<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="ciclo-vida">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
  </template>

  <script>
    /**
     * `ciclo-vida`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class CicloVida extends Polymer.Element {
      static get is() { return 'ciclo-vida'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'ciclo-vida'
          }
        };
      }
      constructor(){
        super();
        console.log('constructor');
      }
      connectedCallback(){
        super.connectedCallback();
        console.log('connected');
      }
      disconnectedCallback(){
        super.disconnectedCallback();
        console.log('disconnected');
      }
      attributeChangedCallback(nombre, valorAnterior, valorNuevo) {
        super.attributeChangedCallback(nombre, valorAnterior, valorNuevo);
        console.log('attribute');
      }
      ready(){
        super.ready();
        console.log('ready');
      }

    }

    window.customElements.define(CicloVida.is, CicloVida);
  </script>
</dom-module>
